<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ironspeed.com/designer">
  <Generator>Iron Speed Designer</Generator>
  <Version>5.1</Version>
  <Self>
    <Name>EditOwnerPage</Name>
    <Type>Page</Type>
    <GenerateDirectory>Owner</GenerateDirectory>
    <Layout>Owner\EditOwnerPage.html</Layout>
    <DisplayName>EditOwnerPage</DisplayName>
    <Description>Standard record panel.</Description>
    <CheckSum>CUSTOMIZED</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>Address</Name>
      <Type>FieldValue</Type>
      <Field>Address</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Owner</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>AddressRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>Columns</Name>
          <Value>60</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>RichTextEditorType</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>Rows</Name>
          <Value>5</Value>
        </Attribute>
        <Attribute>
          <Name>TextMode</Name>
          <Value>MultiLine</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>AddressLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Address</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Owner</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Owner%Address</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CancelButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Cancel</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Make</Name>
      <Type>FieldValue</Type>
      <Field>VehicleTypeId</Field>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <Table>OwnerVehicle</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Menu</Name>
      <Type>Menu</Type>
      <Layout>..\Menu Panels\Menu.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>HiliteSettings</Name>
          <Value>OwnerMenuItem</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Model</Name>
      <Type>FieldValue</Type>
      <Field>VehicleTypeId</Field>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <Table>OwnerVehicle</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerName</Name>
      <Type>FieldValue</Type>
      <Field>OwnerName</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Owner</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>Columns</Name>
          <Value>60</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>OwnerNameRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>RichTextEditorType</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>Rows</Name>
          <Value>5</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerNameLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>OwnerName</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Owner</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Owner%OwnerName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerRecordControl</Name>
      <Type>Record</Type>
      <Table>Owner</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>URL</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSourceArg</Name>
          <Value>Owner</Value>
        </Attribute>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>URL</Name>
          <Value>Owner</Value>
        </Attribute>
        <Attribute>
          <Name>VirtualId</Name>
          <Value>0</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerTabContainer</Name>
      <Type>TabContainer</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>PanelLayout</Name>
          <Value>Tabbed</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Edit Owner</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleAddButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>AddRecord</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarNew.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarNew.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarNewOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Add</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleDeleteButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandArgument</Name>
          <Value>DeleteOnUpdate</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>DeleteRecord</Value>
        </Attribute>
        <Attribute>
          <Name>ConfirmMessage</Name>
          <Value>DeleteConfirm</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarDelete.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarDelete.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarDeleteOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Delete</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleEditButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarEdit.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarEdit.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarEditOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Shared/ConfigureEditRecord.aspx</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Edit</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehiclePagination</Name>
      <Type>Pagination</Type>
      <Layout>..\Shared\Pagination.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>FirstPage-Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:TableControl</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>LastPage-Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>NextPage-Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>PageSizeButton-Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>PreviousPage-Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleRecordRowSelection</Name>
      <Type>Selection</Type>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleRefreshButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ResetData</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarRefresh.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarRefresh.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarRefreshOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Refresh</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleResetButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ResetFilters</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarReset.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarReset.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarResetOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Reset</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleRowDeleteButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandArgument</Name>
          <Value>DeleteOnUpdate</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>DeleteRecord</Value>
        </Attribute>
        <Attribute>
          <Name>ConfirmMessage</Name>
          <Value>DeleteRecordConfirm</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerVehicleTableControlRow</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_delete.gif</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:DeleteRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleRowEditButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_edit.gif</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Shared/ConfigureEditRecord.aspx</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:EditRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleRowViewButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_view.gif</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Shared/ConfigureViewRecord.aspx</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:ViewRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleTableControl</Name>
      <Type>Table</Type>
      <Table>OwnerVehicle</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>TableOrQuery</Value>
        </Attribute>
        <Attribute>
          <Name>PageSize</Name>
          <Value>10</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationCurrentPage</Name>
          <Value>OwnerVehiclePagination-CurrentPage</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationPageSize</Name>
          <Value>OwnerVehiclePagination-PageSize</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationTotalItems</Name>
          <Value>OwnerVehicleTotalItems,OwnerVehiclePagination-TotalItems</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationTotalPages</Name>
          <Value>OwnerVehiclePagination-TotalPages</Value>
        </Attribute>
        <Attribute>
          <Name>ParentControlName</Name>
          <Value>OwnerRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>ParentIdField</Name>
          <Value>OwnerOwnerVehicle</Value>
        </Attribute>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleTabPanel</Name>
      <Type>TabPanel</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>ParentTabContainer</Name>
          <Value>OwnerTabContainer</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Owner Vehicle</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Owner Vehicle</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleToggleAll</Name>
      <Type>Selection</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>onclick</Name>
          <Value>toggleAllCheckboxes(this);</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleTotalItems</Name>
      <Type>Label</Type>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OwnerVehicleTotalItemsText</Name>
      <Type>Text</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>Txt:TotalItems</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageFooter</Name>
      <Type>Footer</Type>
      <Layout>..\Header and Footer\Footer.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageHeader</Name>
      <Type>Header</Type>
      <Layout>..\Header and Footer\Header.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>&lt;%#String.Concat(GetResourceValue("Title:Edit", "Training1")," Owner") %&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>SaveButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>true</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>UpdateData</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Save</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>PostBack</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>VehicleTypeId</Name>
      <Type>FieldValue</Type>
      <Field>VehicleTypeId</Field>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <Table>OwnerVehicle</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>MaxGeneratedItems</Name>
          <Value>10000</Value>
        </Attribute>
        <Attribute>
          <Name>MinListItems</Name>
          <Value>10000</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
        <Attribute>
          <Name>VehicleTypeIdRequiredFieldValidator:Enabled</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>VehicleTypeIdRequiredFieldValidator:InitialValue</Name>
          <Value>--PLEASE_SELECT--</Value>
        </Attribute>
        <Attribute>
          <Name>VehicleTypeIdRequiredFieldValidator:Text</Name>
          <Value>*</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>VehicleTypeIdLabel1</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>OwnerVehicleTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>VehicleTypeId</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>OwnerVehicle</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%OwnerVehicle%VehicleTypeId</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>OwnerVehicleTableControl</InsideControl>
    </ContainedComponent>
  </ComposedOf>
  <PageDefinition>&lt;![CDATA[&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;PageDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Self&gt;
    &lt;Name&gt;EditOwnerPage&lt;/Name&gt;
    &lt;Version&gt;5.1&lt;/Version&gt;
    &lt;Generator&gt;Iron Speed Designer&lt;/Generator&gt;
    &lt;Title&gt;{Title:Edit} Owner&lt;/Title&gt;
    &lt;Description&gt;Standard record panel.&lt;/Description&gt;
    &lt;DisplayName&gt;EditOwnerPage&lt;/DisplayName&gt;
    &lt;GenerateDirectory&gt;Owner&lt;/GenerateDirectory&gt;
    &lt;Layout&gt;Owner\EditOwnerPage.html&lt;/Layout&gt;
    &lt;Type&gt;Page&lt;/Type&gt;
    &lt;PageLayoutName /&gt;
  &lt;/Self&gt;
  &lt;HasSkipNavigationLink&gt;false&lt;/HasSkipNavigationLink&gt;
  &lt;HasMenu&gt;true&lt;/HasMenu&gt;
  &lt;Menus&gt;
    &lt;Menu&gt;
      &lt;Name&gt;Menu&lt;/Name&gt;
      &lt;Layout&gt;..\Menu Panels\Menu.html&lt;/Layout&gt;
      &lt;HiliteSettings&gt;OwnerMenuItem&lt;/HiliteSettings&gt;
      &lt;Orientation&gt;HORIZONTAL&lt;/Orientation&gt;
      &lt;ImageURL /&gt;
      &lt;IsPresentInMenu&gt;false&lt;/IsPresentInMenu&gt;
      &lt;DisplayName /&gt;
      &lt;Type /&gt;
      &lt;Tooltip /&gt;
      &lt;Level&gt;1&lt;/Level&gt;
      &lt;Order&gt;150&lt;/Order&gt;
    &lt;/Menu&gt;
  &lt;/Menus&gt;
  &lt;HasHeader&gt;true&lt;/HasHeader&gt;
  &lt;Header&gt;
    &lt;Name&gt;PageHeader&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Header.html&lt;/Layout&gt;
  &lt;/Header&gt;
  &lt;Panels&gt;
    &lt;Panel&gt;
      &lt;ID&gt;1&lt;/ID&gt;
      &lt;Name&gt;OwnerRecordControl&lt;/Name&gt;
      &lt;AboveTableFilterButtonName&gt;OwnerFilterButton&lt;/AboveTableFilterButtonName&gt;
      &lt;AbvTblFilterButtonConsumers /&gt;
      &lt;ButtonGroupName&gt;OwnerButtons&lt;/ButtonGroupName&gt;
      &lt;CausesSave&gt;false&lt;/CausesSave&gt;
      &lt;ColumnSpan&gt;0&lt;/ColumnSpan&gt;
      &lt;DataSource&gt;URL&lt;/DataSource&gt;
      &lt;DataSourceArg&gt;Owner&lt;/DataSourceArg&gt;
      &lt;FieldLabels&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;OwnerName&lt;/FieldName&gt;
          &lt;Name&gt;OwnerNameLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Owner&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Address&lt;/FieldName&gt;
          &lt;Name&gt;AddressLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Owner&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
      &lt;/FieldLabels&gt;
      &lt;FieldValues&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;OwnerName&lt;/FieldName&gt;
          &lt;Name&gt;OwnerName&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Owner&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Address&lt;/FieldName&gt;
          &lt;Name&gt;Address&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Owner&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
      &lt;/FieldValues&gt;
      &lt;FilterGroupName&gt;OwnerFilters&lt;/FilterGroupName&gt;
      &lt;ForeignKeyName /&gt;
      &lt;GrandTotalGroup&gt;OwnerGrandTotal&lt;/GrandTotalGroup&gt;
      &lt;GrandTotalText&gt;OwnerGrandTotalText&lt;/GrandTotalText&gt;
      &lt;HasButtonPaginationBar&gt;false&lt;/HasButtonPaginationBar&gt;
      &lt;HasColumnHeaders&gt;true&lt;/HasColumnHeaders&gt;
      &lt;HasFilter&gt;false&lt;/HasFilter&gt;
      &lt;HasGrandTotals&gt;false&lt;/HasGrandTotals&gt;
      &lt;HasPageTotals&gt;false&lt;/HasPageTotals&gt;
      &lt;HasPagination&gt;false&lt;/HasPagination&gt;
      &lt;HasPanelButtons&gt;false&lt;/HasPanelButtons&gt;
      &lt;HasPanelHeader&gt;true&lt;/HasPanelHeader&gt;
      &lt;HasQueryDefinition&gt;false&lt;/HasQueryDefinition&gt;
      &lt;HasRowButtons&gt;false&lt;/HasRowButtons&gt;
      &lt;HasRowSelectionCheckbox&gt;false&lt;/HasRowSelectionCheckbox&gt;
      &lt;HasSearch&gt;false&lt;/HasSearch&gt;
      &lt;HasSortableColumn&gt;false&lt;/HasSortableColumn&gt;
      &lt;HeaderRowName&gt;OwnerHeaderRow&lt;/HeaderRowName&gt;
      &lt;HideDataUntilSearched&gt;false&lt;/HideDataUntilSearched&gt;
      &lt;InsideControl /&gt;
      &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
      &lt;IsPlaceHolder&gt;false&lt;/IsPlaceHolder&gt;
      &lt;PageSize&gt;10&lt;/PageSize&gt;
      &lt;PageTotalGroup&gt;OwnerPageTotal&lt;/PageTotalGroup&gt;
      &lt;PageTotalText&gt;OwnerPageTotalText&lt;/PageTotalText&gt;
      &lt;Pagination /&gt;
      &lt;PaginationLayout&gt;..\Shared\Pagination.html&lt;/PaginationLayout&gt;
      &lt;PanelDataSourceType /&gt;
      &lt;PanelHeader&gt;
        &lt;PanelTitle&gt;OwnerTitle&lt;/PanelTitle&gt;
        &lt;PanelHeaderDisplayText&gt;Edit {TABLE_NAME}&lt;/PanelHeaderDisplayText&gt;
        &lt;TotalItems&gt;OwnerTotalItems&lt;/TotalItems&gt;
        &lt;TotalItemsText&gt;OwnerTotalItemsText&lt;/TotalItemsText&gt;
        &lt;HasExpandCollapseIcon&gt;true&lt;/HasExpandCollapseIcon&gt;
        &lt;HasPanelButton&gt;false&lt;/HasPanelButton&gt;
      &lt;/PanelHeader&gt;
      &lt;PanelPath&gt;Data Entry\Edit Record - Label on Side.xml&lt;/PanelPath&gt;
      &lt;PanelStyle&gt;Label on Side&lt;/PanelStyle&gt;
      &lt;PanelType&gt;Edit One Record&lt;/PanelType&gt;
      &lt;RecordRowName&gt;OwnerRecordRow&lt;/RecordRowName&gt;
      &lt;SearchGroupName&gt;OwnerSearchGroup&lt;/SearchGroupName&gt;
      &lt;SelectRowCheckBoxName&gt;OwnerRecordRowSelection&lt;/SelectRowCheckBoxName&gt;
      &lt;TableName&gt;Owner&lt;/TableName&gt;
      &lt;TabContainerName&gt;OwnerTabContainer&lt;/TabContainerName&gt;
      &lt;TabPanelName&gt;OwnerTabPanel&lt;/TabPanelName&gt;
      &lt;ToggleAllName&gt;OwnerToggleAll&lt;/ToggleAllName&gt;
      &lt;ToolTip&gt;Edit individual database records.  Optionally includes child tables (one-to-many relationships).&lt;/ToolTip&gt;
      &lt;XSLTemplateName&gt;EditRecord-LabelonSide&lt;/XSLTemplateName&gt;
      &lt;PlaceHolderName /&gt;
    &lt;/Panel&gt;
    &lt;Panel&gt;
      &lt;ID&gt;2&lt;/ID&gt;
      &lt;Name&gt;OwnerVehicleTableControl&lt;/Name&gt;
      &lt;AboveTableFilterButtonName&gt;OwnerVehicleFilterButton&lt;/AboveTableFilterButtonName&gt;
      &lt;AbvTblFilterButtonConsumers /&gt;
      &lt;Buttons&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleAddButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;AddButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarNew.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;AddRecord&lt;/CommandName&gt;
          &lt;Consumers&gt;OwnerVehicleTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarNewOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarNew.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Add&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleEditButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;EditButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarEdit.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers&gt;page&lt;/Consumers&gt;
          &lt;RedirectURL&gt;../Shared/ConfigureEditRecord.aspx&lt;/RedirectURL&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarEditOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarEdit.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Edit&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleDeleteButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;DeleteButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarDelete.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;DeleteRecord&lt;/CommandName&gt;
          &lt;Consumers&gt;OwnerVehicleTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarDeleteOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarDelete.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Delete&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleRefreshButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RefreshButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarRefresh.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ResetData&lt;/CommandName&gt;
          &lt;Consumers&gt;OwnerVehicleTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarRefreshOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarRefresh.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Refresh&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleResetButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;ResetButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarReset.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ResetFilters&lt;/CommandName&gt;
          &lt;Consumers&gt;OwnerVehicleTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarResetOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarReset.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Reset&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleRowViewButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowViewButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_view.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers /&gt;
          &lt;RedirectURL&gt;../Shared/ConfigureViewRecord.aspx&lt;/RedirectURL&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:ViewRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleRowEditButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowEditButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_edit.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers /&gt;
          &lt;RedirectURL&gt;../Shared/ConfigureEditRecord.aspx&lt;/RedirectURL&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:EditRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;OwnerVehicleRowDeleteButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowDeleteButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_delete.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;DeleteRecord&lt;/CommandName&gt;
          &lt;Consumers&gt;OwnerVehicleTableControlRow&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:DeleteRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
      &lt;/Buttons&gt;
      &lt;ButtonGroupName&gt;OwnerVehicleButtons&lt;/ButtonGroupName&gt;
      &lt;CausesSave&gt;false&lt;/CausesSave&gt;
      &lt;ColumnSpan&gt;3&lt;/ColumnSpan&gt;
      &lt;DataSource&gt;TableOrQuery&lt;/DataSource&gt;
      &lt;DataSourceArg&gt;OwnerVehicle&lt;/DataSourceArg&gt;
      &lt;FieldLabels&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;VehicleTypeId&lt;/FieldName&gt;
          &lt;Name&gt;VehicleTypeIdLabel1&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
      &lt;/FieldLabels&gt;
      &lt;FieldValues&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;VehicleTypeId&lt;/FieldName&gt;
          &lt;Name&gt;VehicleTypeId&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;OwnerVehicleTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;DropDownList&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;true&lt;/HasQuickAddButton&gt;
          &lt;QuickAddButton&gt;
            &lt;FieldName /&gt;
            &lt;Name&gt;VehicleTypeIdAddRecordLink&lt;/Name&gt;
            &lt;Index&gt;0&lt;/Index&gt;
            &lt;ParentName /&gt;
            &lt;TableName /&gt;
            &lt;IsShown&gt;true&lt;/IsShown&gt;
            &lt;ButtonActionType&gt;AddButton&lt;/ButtonActionType&gt;
            &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
            &lt;ImageURL&gt;../Images/iconNewFlat.gif&lt;/ImageURL&gt;
            &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
            &lt;Consumers&gt;OwnerVehicleTableControl&lt;/Consumers&gt;
            &lt;RedirectURL&gt;../VehicleType/AddVehicleTypePage.aspx&lt;/RedirectURL&gt;
            &lt;Onmouseover /&gt;
            &lt;Onmouseout /&gt;
            &lt;ToolTip&gt;Btn:Add&lt;/ToolTip&gt;
          &lt;/QuickAddButton&gt;
          &lt;ControlToUpdate&gt;VehicleTypeId&lt;/ControlToUpdate&gt;
        &lt;/FieldValue&gt;
      &lt;/FieldValues&gt;
      &lt;FilterGroupName&gt;OwnerVehicleFilters&lt;/FilterGroupName&gt;
      &lt;ForeignKeyName&gt;OwnerOwnerVehicle&lt;/ForeignKeyName&gt;
      &lt;GrandTotalGroup&gt;OwnerVehicleGrandTotal&lt;/GrandTotalGroup&gt;
      &lt;GrandTotalText&gt;OwnerVehicleGrandTotalText&lt;/GrandTotalText&gt;
      &lt;HasButtonPaginationBar&gt;true&lt;/HasButtonPaginationBar&gt;
      &lt;HasColumnHeaders&gt;true&lt;/HasColumnHeaders&gt;
      &lt;HasFilter&gt;false&lt;/HasFilter&gt;
      &lt;HasGrandTotals&gt;false&lt;/HasGrandTotals&gt;
      &lt;HasPageTotals&gt;false&lt;/HasPageTotals&gt;
      &lt;HasPagination&gt;true&lt;/HasPagination&gt;
      &lt;HasPanelButtons&gt;true&lt;/HasPanelButtons&gt;
      &lt;HasPanelHeader&gt;true&lt;/HasPanelHeader&gt;
      &lt;HasQueryDefinition&gt;false&lt;/HasQueryDefinition&gt;
      &lt;HasRowButtons&gt;true&lt;/HasRowButtons&gt;
      &lt;HasRowSelectionCheckbox&gt;true&lt;/HasRowSelectionCheckbox&gt;
      &lt;HasSearch&gt;false&lt;/HasSearch&gt;
      &lt;HasSortableColumn&gt;true&lt;/HasSortableColumn&gt;
      &lt;HeaderRowName&gt;OwnerVehicleHeaderRow&lt;/HeaderRowName&gt;
      &lt;HideDataUntilSearched&gt;false&lt;/HideDataUntilSearched&gt;
      &lt;InsideControl /&gt;
      &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
      &lt;IsPlaceHolder&gt;false&lt;/IsPlaceHolder&gt;
      &lt;PageSize&gt;10&lt;/PageSize&gt;
      &lt;PageTotalGroup&gt;OwnerVehiclePageTotal&lt;/PageTotalGroup&gt;
      &lt;PageTotalText&gt;OwnerVehiclePageTotalText&lt;/PageTotalText&gt;
      &lt;Pagination&gt;OwnerVehiclePagination&lt;/Pagination&gt;
      &lt;PaginationLayout&gt;..\Shared\Pagination.html&lt;/PaginationLayout&gt;
      &lt;PanelDataSourceType /&gt;
      &lt;PanelHeader&gt;
        &lt;PanelTitle&gt;OwnerVehicleTitle&lt;/PanelTitle&gt;
        &lt;PanelHeaderDisplayText&gt;{TABLE_NAME}&lt;/PanelHeaderDisplayText&gt;
        &lt;TotalItems&gt;OwnerVehicleTotalItems&lt;/TotalItems&gt;
        &lt;TotalItemsText&gt;OwnerVehicleTotalItemsText&lt;/TotalItemsText&gt;
        &lt;HasExpandCollapseIcon&gt;true&lt;/HasExpandCollapseIcon&gt;
        &lt;HasPanelButton&gt;false&lt;/HasPanelButton&gt;
      &lt;/PanelHeader&gt;
      &lt;PanelPath&gt;Data Entry\Edit Record - Label on Side.xml&lt;/PanelPath&gt;
      &lt;PanelStyle&gt;Regular&lt;/PanelStyle&gt;
      &lt;PanelType&gt;Edit Multiple Records&lt;/PanelType&gt;
      &lt;Parent&gt;
        &lt;ParentControlName&gt;OwnerRecordControl&lt;/ParentControlName&gt;
        &lt;ParentIdField&gt;OwnerOwnerVehicle&lt;/ParentIdField&gt;
      &lt;/Parent&gt;
      &lt;RecordRowName&gt;OwnerVehicleRecordRow&lt;/RecordRowName&gt;
      &lt;SearchGroupName&gt;OwnerVehicleSearchGroup&lt;/SearchGroupName&gt;
      &lt;SelectRowCheckBoxName&gt;OwnerVehicleRecordRowSelection&lt;/SelectRowCheckBoxName&gt;
      &lt;TableName&gt;OwnerVehicle&lt;/TableName&gt;
      &lt;TabContainerName&gt;OwnerVehicleTabContainer&lt;/TabContainerName&gt;
      &lt;TabPanelName&gt;OwnerVehicleTabPanel&lt;/TabPanelName&gt;
      &lt;ToggleAllName&gt;OwnerVehicleToggleAll&lt;/ToggleAllName&gt;
      &lt;ToolTip /&gt;
      &lt;XSLTemplateName&gt;EditTable&lt;/XSLTemplateName&gt;
      &lt;PlaceHolderName /&gt;
    &lt;/Panel&gt;
  &lt;/Panels&gt;
  &lt;HasFooter&gt;true&lt;/HasFooter&gt;
  &lt;Footer&gt;
    &lt;Name&gt;PageFooter&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Footer.html&lt;/Layout&gt;
  &lt;/Footer&gt;
  &lt;PageButtons&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;SaveButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;SaveButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;true&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;UpdateData&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Save&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;CancelButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;CancelButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Cancel&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
  &lt;/PageButtons&gt;
  &lt;HasRecordPanel&gt;true&lt;/HasRecordPanel&gt;
  &lt;ChildPanelLayoutStyle&gt;Tabbed&lt;/ChildPanelLayoutStyle&gt;
&lt;/PageDefinition&gt;]]&gt;</PageDefinition>
</ComponentDefinition>